#!/usr/bin/perl

use strict;
use Test;

BEGIN { plan tests => 9 }

use Search::OpenFTS::Dict::PorterEng;

my $dict=new Search::OpenFTS::Dict::PorterEng; 

ok( ref $dict, 'Search::OpenFTS::Dict::PorterEng' );
ok( $dict->lemms('archaeological'), 'archaeolog' );
ok( $dict->lemms('archaeology'), 'archaeolog' );
ok( $dict->lemms('archaeologies'), 'archaeolog' );
ok( $dict->lemms('archaeologically'), 'archaeolog' );

ok( $dict->lemms('allurement'), 'allur' );
ok( $dict->lemms('alluring'), 'allur' );


ok( $dict->is_stoplexem(($dict->lemms('couldnt'))[0]), 1);
ok( $dict->is_stoplexem($dict->lemms('alluring')), 0);

